Forum OpenACS Development: Re: upgrade to 5.3.2 -cache_key error

Collapse
Posted by Gustaf Neumann on
did you restart the server after the upgrade?
xotcl-core checks during startup the version of acs-content-repository, if it is lower than 5.3.0d1, it uses db_dml, otherwise db_0or1row (this was the version, where the update was changed into a stored procedure, therefore postgres does not accept db_dml there). A restart of openacs makes sure, that xotcl-core sees the right version of the content-repository. What do you get from running
::Generic::CrItem set insert_view_operation
in ds/shell?